Pular para o conteúdo principal
GET
/
characters
/
{slug}
/
reviews
/api/v1/characters/{slug}/reviews
curl --request GET \
  --url https://api.venice.ai/api/v1/characters/{slug}/reviews \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "characterId": "2f460055-7595-4640-9cb6-c442c4c869b0",
      "createdAt": "2025-02-09T03:23:53.708Z",
      "id": "1e38fb78-043f-4ce2-b3bc-966089c25467",
      "isOwner": false,
      "locale": "en",
      "message": "Thoughtful, grounded, and surprisingly practical.",
      "rating": 5,
      "userAvatarUrl": "https://cdn.venice.ai/avatar.png",
      "username": "product_user_42"
    }
  ],
  "object": "list",
  "pagination": {
    "page": 1,
    "pageSize": 20,
    "total": 87,
    "totalPages": 5
  },
  "summary": {
    "averageRating": 4.7,
    "totalReviews": 87
  }
}

Endpoint experimental

Este é um endpoint experimental e pode estar sujeito a alterações.

O que isto retorna

Este endpoint retorna avaliações públicas paginadas para um único personagem.
  • Use o parâmetro de caminho slug para identificar o personagem.
  • Use os parâmetros de consulta page e pageSize para paginar as avaliações.
  • Os metadados de paginação são retornados tanto no corpo da resposta quanto nos cabeçalhos de resposta x-pagination-*.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

slug
string
obrigatório

Slug of the character whose reviews should be retrieved

Exemplo:

"alan-watts"

Parâmetros de consulta

page
integer
padrão:1

Page number for pagination

Intervalo obrigatório: x > 0
Exemplo:

1

pageSize
integer
padrão:20

Number of reviews to return per page (max: 100)

Intervalo obrigatório: 0 < x <= 100
Exemplo:

20

Resposta

OK

data
object[]
obrigatório
object
enum<string>
obrigatório
Opções disponíveis:
list
pagination
object
obrigatório
summary
object
obrigatório